TableDisplayCellHighlighter (base API)
Date: 2019-04-05

com.twosigma.beakerx.table.highlight

## Class TableDisplayCellHighlighter

- java.lang.Object
- - com.twosigma.beakerx.table.highlight.TableDisplayCellHighlighter

- Direct Known Subclasses:
    HeatmapHighlighter, UniqueEntriesHighlighter, ValueHighlighter

      public class TableDisplayCellHighlighter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HighlightStyle` | `FULL_ROW`
    `static HighlightStyle` | `SINGLE_COLUMN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableDisplayCellHighlighter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableDisplayCellHighlighter` | `getHeatmapHighlighter(java.lang.String columnToUse)`
    `static TableDisplayCellHighlighter` | `getHeatmapHighlighter(java.lang.String columnToUse, HighlightStyle style)`
    `static TableDisplayCellHighlighter` | `getHeatmapHighlighter(java.lang.String columnToUse, HighlightStyle style, java.lang.Number minVal, java.lang.Number maxVal)`
    `static TableDisplayCellHighlighter` | `getHeatmapHighlighter(java.lang.String columnToUse, HighlightStyle style, java.lang.Number minVal, java.lang.Number maxVal, Color minColor, Color maxColor)`
    `static TableDisplayCellHighlighter` | `getHeatmapHighlighter(java.lang.String columnToUse, java.lang.Number minVal, java.lang.Number maxVal)`
    `static TableDisplayCellHighlighter` | `getHeatmapHighlighter(java.lang.String columnToUse, java.lang.Number minVal, java.lang.Number maxVal, Color minColor, Color maxColor)`
    `static TableDisplayCellHighlighter` | `getUniqueEntriesHighlighter(java.lang.String columnToUse)`
    `static TableDisplayCellHighlighter` | `getUniqueEntriesHighlighter(java.lang.String columnToUse, HighlightStyle style)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FULL_ROW

          public static HighlightStyle FULL_ROW

    - #### SINGLE_COLUMN

          public static HighlightStyle SINGLE_COLUMN

  - ### Constructor Detail

    - #### TableDisplayCellHighlighter

          public TableDisplayCellHighlighter()

  - ### Method Detail

    - #### getHeatmapHighlighter

          public static TableDisplayCellHighlighter getHeatmapHighlighter(java.lang.String columnToUse)

    - #### getHeatmapHighlighter

          public static TableDisplayCellHighlighter getHeatmapHighlighter(java.lang.String columnToUse,
                                                                          HighlightStyle style)

    - #### getHeatmapHighlighter

          public static TableDisplayCellHighlighter getHeatmapHighlighter(java.lang.String columnToUse,
                                                                          HighlightStyle style,
                                                                          java.lang.Number minVal,
                                                                          java.lang.Number maxVal)

    - #### getHeatmapHighlighter

          public static TableDisplayCellHighlighter getHeatmapHighlighter(java.lang.String columnToUse,
                                                                          HighlightStyle style,
                                                                          java.lang.Number minVal,
                                                                          java.lang.Number maxVal,
                                                                          Color minColor,
                                                                          Color maxColor)

    - #### getHeatmapHighlighter

          public static TableDisplayCellHighlighter getHeatmapHighlighter(java.lang.String columnToUse,
                                                                          java.lang.Number minVal,
                                                                          java.lang.Number maxVal)

    - #### getHeatmapHighlighter

          public static TableDisplayCellHighlighter getHeatmapHighlighter(java.lang.String columnToUse,
                                                                          java.lang.Number minVal,
                                                                          java.lang.Number maxVal,
                                                                          Color minColor,
                                                                          Color maxColor)

    - #### getUniqueEntriesHighlighter

          public static TableDisplayCellHighlighter getUniqueEntriesHighlighter(java.lang.String columnToUse)

    - #### getUniqueEntriesHighlighter

          public static TableDisplayCellHighlighter getUniqueEntriesHighlighter(java.lang.String columnToUse,
                                                                                HighlightStyle style)